<?php

use WpBookingPro\Factory;
use WpBookingPro\Html\WpBookingProHtmlBackend;
use WpBookingPro\Language\Text;
use WpBookingPro\Utilities\Utility;
defined('_WPBOOKINGPRO_EXEC') or die;
extract($displayData);
WpBookingProHtmlBackend::load_jquery_library('increment');
$id_by_name = "element_field_". $name;
$data = $displayData['field']->getForm()->getData();
$list_time = [];
?>
    <div id="<?php esc_attr_e($id_by_name) ?>"
         class="<?php esc_attr_e($class); ?> field-incrementnumber hide-option">
        <div class="handle-counter" id="handleCounter">
            <button type="button" class="counter-minus btn btn-primary"><i class="icon-nb-minius"></i></button>
            <input type="text" class="increment-number form-control" name="<?php esc_attr_e($name); ?>"
                   value="<?php esc_attr_e($value) ?>">
            <button type="button" class="counter-plus btn btn-primary"><i class="icon-nb-plus"></i></button>
        </div>
    </div>
<?php
$doc = Factory::getDocument();
$doc->addLessStyleSheet('admin_woopanel/app/layouts/WooBooking/form/field/incrementnumber/incrementnumber.less');
$doc->addStyleSheet('admin_woopanel/app/assets/nb-font-icon/nb-font-icon.css');
$doc->addScriptApplySelector('.field-incrementnumber','field_incrementnumber',array(
),'admin_woopanel/app/layouts/WooBooking/form/field/incrementnumber/incrementnumber.jquery.js');